> # NAME

> tex1DARRAYcmpbias - performs a texture lookup with shadow compare and bias in a given sampler array.

> # SYNOPSIS

>       float4 tex1DARRAYcmpbias(sampler1DARRAY samp, float4 s)
>       float4 tex1DARRAYcmpbias(sampler1DARRAY samp, float4 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler array to lookup.

> s

>   Coordinates to perform the lookup. The value used to select the layer is the second coordinate, the third is the value used in the shadow comparison, the fourth corresponds to the bias value.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup with bias in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates, the lookup involves a shadow comparison and may use texel offset texelOff to compute the final texel.

> # PROFILE SUPPORT

> tex1DARRAYcmpbias is only supported in gp4 and newer profiles.

> # SEE ALSO

> tex1DARRAYbias, tex1DARRAYlod, tex1DARRAYcmplod